Cue Sheet plugin incorrectly seeks within variable bitrate mp3 files

November 23, 2015 18:58 - Géza Búza

Status: Rejected Start date: November 23, 2015

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/cue Estimated time: 0.00 hour

Target version:    

Affects version: 3.7.1   

Description

Steps to reproduce:

Download the attached .mp3 and .cue files into a folder.

Create a new playlist in the player and add the .cue file to the list.

Start to play the first song on the list.

Current behavior:

Around the end of the track the next song is started to play, and when it actually switch to the next it jumps back into the beginning of

the second track. So I hear the beginning of the second track twice.

Expected behavior:

Jump to the second track only when it has to be started. I should not hear any additional loops around the beginning or end of a

track.

History

#1 - November 24, 2015 04:21 - John Lindgren

- Status changed from New to Rejected

Enable the "use accurate seeking (slow)" option in the MPG123 plugin settings.  Not a bug.

Edit: it's actually "use accurate length calculation", but it does the same thing.

#2 - November 24, 2015 16:13 - Géza Búza

It solved the problem indeed. Thank you.

Files

Le Freak - Music Inspired by Chic compiled by Joey Negro.cue 561 BytesNovember 23, 2015 Géza Búza

Le Freak - Music Inspired by Chic compiled by Joey Negro.mp3 4.48 MBNovember 23, 2015 Géza Búza
